diff -ur ooo_cws_src680_ooo20040704_src.orig/vcl/unx/source/app/saldisp.cxx ooo_cws_src680_ooo20040704_src/vcl/unx/source/app/saldisp.cxx
--- ooo_cws_src680_ooo20040704_src.orig/vcl/unx/source/app/saldisp.cxx	2004-07-17 08:40:35.000000000 +0200
+++ ooo_cws_src680_ooo20040704_src/vcl/unx/source/app/saldisp.cxx	2004-07-17 08:41:16.000000000 +0200
@@ -2436,7 +2436,7 @@
         std::list< SalFrame* >::const_iterator it;
         for( it = m_aFrames.begin(); it != m_aFrames.end(); ++it )
         {
-            X11SalFrame* pFrame = static_cast< X11SalFrame* >(*it);
+            X11SalFrame* pFrame = (X11SalFrame*)(*it);
             if( pFrame->GetWindow() == aWindow || pFrame->GetShellWindow() == aWindow )
             {
                 aWindow = pFrame->GetWindow();
@@ -2500,7 +2500,7 @@
     std::list< SalFrame* >::const_iterator it;
     for( it = m_aFrames.begin(); it != m_aFrames.end(); ++it )
     {
-        X11SalFrame* pFrame = static_cast< X11SalFrame* >(*it);
+        X11SalFrame* pFrame = (X11SalFrame*)(*it);
 		XLIB_Window aDispatchWindow = pEvent->xany.window;
         if( pFrame->GetWindow() == aDispatchWindow
             || pFrame->GetShellWindow() == aDispatchWindow
diff -ur ooo_cws_src680_ooo20040704_src.orig/vcl/unx/source/window/salframe.cxx ooo_cws_src680_ooo20040704_src/vcl/unx/source/window/salframe.cxx
--- ooo_cws_src680_ooo20040704_src.orig/vcl/unx/source/window/salframe.cxx	2004-07-17 08:40:36.000000000 +0200
+++ ooo_cws_src680_ooo20040704_src/vcl/unx/source/window/salframe.cxx	2004-07-17 09:16:09.000000000 +0200
@@ -370,7 +370,7 @@
 		// do not change the input mask in that case
         const std::list< SalFrame* >& rFrames = GetDisplay()->getFrames();
         std::list< SalFrame* >::const_iterator it = rFrames.begin();
-		while( it != rFrames.end() && mhForeignParent != static_cast<X11SalFrame*>(*it)->GetWindow() )
+		while( it != rFrames.end() && mhForeignParent != ((X11SalFrame*)(*it))->GetWindow() )
             ++it;
 
 		if( it == rFrames.end() )
@@ -408,7 +408,7 @@
             std::list< SalFrame* >::const_iterator it = rFrames.begin();
             while( it != rFrames.end() )
             {
-                pFrame = static_cast< X11SalFrame* >(*it);
+                pFrame = (X11SalFrame*)(*it);
                 if( ! ( pFrame->mpParent
                         || pFrame->mbFullScreen
                         || ! ( pFrame->nStyle_ & SAL_FRAME_STYLE_SIZEABLE )
@@ -688,7 +688,7 @@
         std::list< SalFrame* >::const_iterator it = rFrames.begin();
         while( it != rFrames.end() )
         {
-            pFrame = static_cast< X11SalFrame* >(*it);
+            pFrame = (X11SalFrame*)(*it);
             if( ! (pFrame->nStyle_ & (SAL_FRAME_STYLE_FLOAT|SAL_FRAME_STYLE_CHILD) || pFrame->mpParent ) )
                 break;
             ++it;    
@@ -991,7 +991,7 @@
             const std::list< SalFrame* >& rFrames = GetDisplay()->getFrames();
             for( std::list< SalFrame* >::const_iterator it = rFrames.begin(); it != rFrames.end(); ++it )
             {
-                X11SalFrame* pFrame = static_cast< X11SalFrame* >(*it);
+                X11SalFrame* pFrame = (X11SalFrame*)(*it);
                 // look for intro bit map; if present, hide it
                 if( pFrame->nStyle_ & SAL_FRAME_STYLE_INTRO )
                     pFrame->Show( FALSE );
@@ -2372,7 +2372,7 @@
             const std::list< SalFrame* >& rFrames = GetDisplay()->getFrames();
             for( std::list< SalFrame* >::const_iterator it = rFrames.begin(); it != rFrames.end(); ++it )
             {
-                X11SalFrame* pFrame = static_cast< X11SalFrame* >(*it);
+                X11SalFrame* pFrame = (X11SalFrame*)(*it);
                 if( pFrame->IsFloatGrabWindow()										&&
                     pFrame->bMapped_												&&
                     pEvent->xbutton.x_root >= pFrame->maGeometry.nX								&&
@@ -2411,7 +2411,7 @@
                     const std::list< SalFrame* >& rFrames = GetDisplay()->getFrames();
                     for( std::list< SalFrame* >::const_iterator it = rFrames.begin(); it != rFrames.end(); ++it )
                     {
-                        X11SalFrame* pFrame = static_cast< X11SalFrame* >(*it);
+                        X11SalFrame* pFrame = (X11SalFrame*)(*it);
                         if( ! pFrame->IsFloatGrabWindow()
                             && ( pFrame->GetWindow() == aChild ||
                                  pFrame->GetShellWindow() == aChild ||
@@ -3439,7 +3439,7 @@
             std::list< SalFrame* >::const_iterator it = rFrames.begin();
             while( it != rFrames.end() )
             {
-                pFrame = static_cast< X11SalFrame* >(*it);
+                pFrame = (X11SalFrame*)(*it);
                 if( pFrame == pSaveFrame )
                     break;
                 ++it; 
